AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

OPay

Collect payments from OPay wallets. We cover this payment method in more details in the method overview.

Last updated 13 September 2026

Collect payments from OPay wallets. We cover this payment method in more details in the method overview.

post

https://api.flutterwave.com/v3/charges?type=opay

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

amount int 32 required
The transaction amount.

email string required
The Customer's email address.

tx_ref string required
A unique reference peculiar to the transaction.

currency string required
This is the specified currency to charge in. Expected value NGN

phone_number string
The phone number linked to the customer's Opay wallet.

fullname string
The customer's full name.

client_ip string
Internet Protocol. This represents the current IP address of the customer carrying out the transaction.

device_fingerprint string
This is the fingerprint for the device being used. It can be generated using a library on whatever platform is being used.

meta object
A custom object used to collect additional payment information.

FILL IN ALL REQUIRED FIELDS

flightID string
This could be the extra information you want to pass

sideNote string
This could be any message you'd like to associate with this call

redirect_url string
The redirect for customers after completing their payment.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

tx_ref string

flw_ref string

device_fingerprint string

amount integer

charged_amount integer

app_fee integer

merchant_fee integer

processor_response string

auth_model string

currency string

ip string

narration string

status string

auth_url string

payment_type string

fraud_status string

charge_type string

created_at string

account_id integer

customer object

FILL IN ALL REQUIRED FIELDS

id integer

phone_number string

name string

email string

created_at string

meta object

FILL IN ALL REQUIRED FIELDS

authorization object

FILL IN ALL REQUIRED FIELDS

qr_image string

mode string

validate_instructions string

FILL IN ALL REQUIRED FIELDS

status string

message string

data string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys